#ifndef LCD_H_INCLUDED
#define LCD_H_INCLUDED

// Definicje wyprowadze wywietlacza
#define LCD_RS 4
#define LCD_E 5
#define LCD_D4 0
#define LCD_D5 1
#define LCD_D6 2
#define LCD_D7 3
#define LCD_PORT D

// Komendy sterujce wywietlaczem
#define LCDC_CLS 0x01
#define LCDC_HOME 0x02
#define LCDC_MODE 0x04
	#define LCDC_MODER 0x02
	#define LCDC_MODEL 0
	#define LCDC_MODEMOVE 0x01
#define LCDC_ON 0x08
	#define LCDC_ONDISPLAY 0x04
	#define LCDC_ONCURSOR 0x02
	#define LCDC_ONBLINK 0x01
#define LCDC_SHIFT 0x10
	#define LCDC_SHIFTDISP 0x08
	#define LCDC_SHIFTR 0x04
	#define LCDC_SHIFTL 0
#define LCDC_FUNC 0x20
	#define LCDC_FUNC8b 0x10
	#define LCDC_FUNC4b 0
	#define LCDC_FUNC2L 0x08
	#define LCDC_FUNC1L 0
	#define LCDC_FUNC5x10 0x04
	#define LCDC_FUNC5x7 0
#define LCDC_CGA 0x40
#define LCDC_DDA 0x80

void LCDcommand(uint8_t command);
void LCDdata(uint8_t data);
void LCDcls(void);
void LCDhome(void);
void LCDinit(void);
void LCDstr(char* str);

#endif //LCD_H_INCLUDED